package intrinsic.mx.managers;

public interface ILayoutManager extends intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public boolean usePhasedInstantiation;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void invalidateDisplayList(intrinsic.mx.managers.ILayoutManagerClient arg0);
public void validateClient(intrinsic.mx.managers.ILayoutManagerClient arg0);
public void validateClient(intrinsic.mx.managers.ILayoutManagerClient arg0, boolean arg1);
public void validateNow();
public void invalidateProperties(intrinsic.mx.managers.ILayoutManagerClient arg0);
public void invalidateSize(intrinsic.mx.managers.ILayoutManagerClient arg0);
public boolean isInvalid();

}
